org.apache.hadoop.mapreduce.task

## Class ReduceContextImpl.ValueIterable

- java.lang.Object
- - org.apache.hadoop.mapreduce.task.ReduceContextImpl.ValueIterable

- All Implemented Interfaces:
    Iterable<VALUEIN>
  Enclosing class:
    ReduceContextImpl<KEYIN,VALUEIN,KEYOUT,VALUEOUT>

      protected class ReduceContextImpl.ValueIterable
      extends Object
      implements Iterable<VALUEIN>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValueIterable()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<VALUEIN>` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ValueIterable

          protected ValueIterable()

  - ### Method Detail

    - #### iterator

          public Iterator<VALUEIN> iterator()

      Specified by:
        `iterator` in interface `Iterable<VALUEIN>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.